org.eclipse.swt.widgets

## Class TypedListener

- java.lang.Object
- - org.eclipse.swt.widgets.TypedListener

All Implemented Interfaces:
  Listener

    public class TypedListener
    extends java.lang.Object
    implements Listener

Instances of this class are internal SWT implementation objects which provide a mapping between the typed and untyped listener mechanisms that SWT supports.

IMPORTANT: This class is not part of the SWT public API. It is marked public only so that it can be shared within the packages provided by SWT. It should never be referenced from application code.

See Also:
  `Listener`

### Field Summary

Fields
`protected SWTEventListener` `eventListener` The receiver's event listener

### Constructor Summary

Constructors
Constructor and Description
`TypedListener(SWTEventListener listener)` Constructs a new instance of this class for the given event listener.

### Method Summary

All Methods Instance Methods Concrete Methods
`SWTEventListener` `getEventListener()` Returns the receiver's event listener.
`void` `handleEvent(Event e)` Handles the given event.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### eventListener

    protected SWTEventListener eventListener

The receiver's event listener

### Constructor Detail

#### TypedListener

    public TypedListener(SWTEventListener listener)

Constructs a new instance of this class for the given event listener.

IMPORTANT: This method is not part of the SWT public API. It is marked public only so that it can be shared within the packages provided by SWT. It should never be referenced from application code.

Parameters:
  `listener` - the event listener to store in the receiver

### Method Detail

#### getEventListener

    public SWTEventListener getEventListener()

Returns the receiver's event listener.

IMPORTANT: This method is not part of the SWT public API. It is marked public only so that it can be shared within the packages provided by SWT. It should never be referenced from application code.

Returns:
  the receiver's event listener

#### handleEvent

    public void handleEvent(Event e)

Handles the given event.

IMPORTANT: This method is not part of the SWT public API. It is marked public only so that it can be shared within the packages provided by SWT. It should never be referenced from application code.

Specified by:
  `handleEvent` in interface `Listener`
Parameters:
  `e` - the event to handle

Copyright (c) EclipseSource and others 2002, 2020. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0